## org.apache.poi.hwpf.model
Class BookmarkFirstDescriptor

    java.lang.Object
      org.apache.poi.hwpf.model.types.BKFAbstractType
          org.apache.poi.hwpf.model.BookmarkFirstDescriptor

All Implemented Interfaces:
  java.lang.Cloneable

    @Internal
    public final class BookmarkFirstDescriptor

extends BKFAbstractType
implements java.lang.Cloneable

Field Summary

Fields inherited from class org.apache.poi.hwpf.model.types.BKFAbstractType
`field_1_ibkl, field_2_bkf_flags`

Constructor Summary
`BookmarkFirstDescriptor()`
`BookmarkFirstDescriptor(byte[] data, int offset)`

Method Summary
`protected BookmarkFirstDescriptor` `clone()`
`boolean` `equals(java.lang.Object obj)`
`int` `hashCode()`
`boolean` `isEmpty()`
`java.lang.String` `toString()`

Methods inherited from class org.apache.poi.hwpf.model.types.BKFAbstractType
`fillFields, getBkf_flags, getIbkl, getItcFirst, getItcLim, getSize, isFCol, isFPub, serialize, setBkf_flags, setFCol, setFPub, setIbkl, setItcFirst, setItcLim`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BookmarkFirstDescriptor

    public BookmarkFirstDescriptor()

### BookmarkFirstDescriptor

    public BookmarkFirstDescriptor(byte[] data,
                                   int offset)

Method Detail

### clone

    protected BookmarkFirstDescriptor clone()

  Overrides:
    `clone` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### isEmpty

    public boolean isEmpty()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `BKFAbstractType`

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.